// @flow
import _ from 'lodash';
import {transformers} from 'redux-api';

// Apply model transformer to each item pf .data returned by fetchWithHeaders
export default (itemTransformer: Function) => (data: Object) => _.map(
	transformers.array(_.result(data, 'data')),
	D => itemTransformer(D)
);
